<!DOCTYPE html>
<html>
    <head>
        <title>Rickroll on Automate for Android- DLess</title>
        <style>
            body{
                background-color: darkgray;
            }
        </style>
    </head>
    <body>
        <h3> Site removed by developer due to potential violation in youtube terms of service </h3>
   <!-- <body>
        <div id = 'rickroll'></div>
        <script>
            // 2. This code loads the IFrame Player API code asynchronously.
            var tag = document.createElement('script');

            tag.src = "https://www.youtube.com/iframe_api";
            var firstScriptTag = document.getElementsByTagName('script')[0];
            firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

            //This function creates an <iframe> (and YouTube player)
            var player;
            function onYouTubeIframeAPIReady()
            {
                player = new YT.Player("rickroll",
                {
                    height: "1670",
                    width: "954",
                    videoId: "dQw4w9WgXcQ",
                    playerVars:{
                        'autoplay': 0,
                        'controls': 1,
                        'playsinline': 1,
                    },
                    events:
                    {
                        "onReady": onPlayerReady,
                        "onStateChange": onPlayerStateChange
                    }
                });
            }

            //Play video once loaded
            function onPlayerReady(event){
                event.target.playVideo();
            }

            //Check video progress, if at end, allow web dialog to make the 'OK' button usable. also check for android
            var userAgent = navigator.userAgent.toLowerCase();
            var Android = userAgent.indexOf('android') > -1;
            function forceRickroll(){
                if(player.getCurrentTime() == player.getDuration()){
                    if(Android) {
                        automate.setOkButtonEnabled(true);
                    } else{
                        console.log('This website was designed for Android automate, why are you looking at it elsewhere?');
                    }
            };
            setInterval(forceRickroll(){}, 500);
        </script>-->
    </body>
</html>
